For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTUnits

Get a unit by ID

GET
/v1/units/:id
GET
/v1/units/:id
$curl https://api.propexo.com/v1/units/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "cm2dtyq1600008loze5xgf3fb",
17 "x_property_id": "clwqjwc1e000008i7fnrrayzc",
18 "x_floor_plan_id": null,
19 "x_unit_type_id": null,
20 "bathrooms": "1.5",
21 "bathrooms_full": 1,
22 "bathrooms_half": 1,
23 "bedrooms": "2",
24 "building_name": "Building A",
25 "building_number": "Building A",
26 "city": "Santa Monica",
27 "country": null,
28 "custom_data": {},
29 "floor_plan_code": "1BR",
30 "floor_plan_name": "One Bedroom",
31 "floor": null,
32 "is_available": true,
33 "is_furnished": true,
34 "is_vacant": true,
35 "number": "101",
36 "rent_amount_market_in_cents": 200000,
37 "rent_amount_max_in_cents": null,
38 "rent_amount_min_in_cents": null,
39 "square_feet": 850,
40 "state": "CA",
41 "address_1": "100 West Channel Road 101",
42 "address_2": "100 West Channel Road 101",
43 "zip": "90402",
44 "pets_allowed": null,
45 "dogs_allowed": null,
46 "cats_allowed": null,
47 "pet_policy": null,
48 "floor_plan_id": null,
49 "integration_id": "clwh5u07w000508me66sfh3um",
50 "integration_vendor": "YARDI_REST",
51 "property_id": "clwi5xiix000008l6ctdgafyh",
52 "unit_type_id": "clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344",
53 "is_listed": null,
54 "street_address_1": "string",
55 "street_address_2": "string"
56 }
57}
Get a unit by ID
Was this page helpful?
Previous

Get all vendors

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error